
// Function Declarations for Generic Functions.c

#ifndef __LCD
#define __LCD


// Define CPU frequency in Hz
#define CRYSTAL_FREQ   4000000
#define CPU_FREQ       CRYSTAL_FREQ/4
#define DelayFactor    CPU_FREQ/1000000


// Define Pins used for LCD
#define LCD_RS         RD0
#define LCD_RW         RD1
#define LCD_E          RD2
#define LCD_Data_Bus   PORTB


// Function Declarations
void WriteCommandToLCD(unsigned char);
void WriteDataToLCD(char);
void InitLCD(void);
void WriteStringToLCD(const char*);
void ClearLCDScreen(void);
//void DisplayTimeToLCD(unsigned int,unsigned int,unsigned int);


#endif